1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Plesk autoupdate failure report...

Discussion in 'Plesk for Linux - 8.x and Older' started by NeoCyd, Dec 20, 2006.

  1. NeoCyd

    NeoCyd Guest

    0
     
    Hello :)

    Sorry for my English, I'm French.

    I have a problem with updater.

    My Plesk version is 8.1.0

    Logs of autoupdate :

    Mail object : Plesk autoupdate success report

    Second e-mail :

    Object : Plesk autoupdate failure report

    Run on Fedora Core 4.

    Can you help me ? :(

    Thanks you very much :rolleyes:
     
  2. NeoCyd

    NeoCyd Guest

    0
     
    Can you help me please ?? :(
     
  3. spacedive

    spacedive Guest

    0
     
  4. msc_onoma

    msc_onoma Guest

    0
     
    same here.

    i first get a "Plesk autoupdate success report" and then a "Plesk autoupdate failure report" message.

    The 2 packages selected for update were "Base packages of Plesk" and "Plesk Updater" (although this one was marked as up to date)

    I'm running on Ubuntu 6.06

    Any help?
     
  5. danliker

    danliker Silver Pleskian Plesk Certified Professional

    33
    43%
    Joined:
    Feb 15, 2006
    Messages:
    575
    Likes Received:
    0
    Location:
    Switzerland
    the same here....
     
  6. zola2

    zola2 Guest

    0
     
    Idem

    Same there... :(

    Idea ?
     
  7. peter hd

    peter hd Guest

    0
     
    Just done an update, similar to everyone and also get 2 report emails. one good, one bad. Appear to have nothing but problems since 8.1 upgrade. Any help appreciated
     
  8. starlight@

    starlight@ Guest

    0
     
    hey i have the same issue here!!

    :confused:

    greetz
     
  9. koko

    koko Guest

    0
     
    Hi,

    Same problem with a Debian Sarge...

    Getting packages to installation list:
    Get packages to installation from selected component base
    resolve packages with apt-get
    apt-get say following:
    Reading Package Lists...
    Building Dependency Tree...

    catch error with message: Error while resolve packages by apt
    ERROR: Error while resolve packages by apt
    Check SElinux status after error:
    Exit with ERROR status

    ---
    I don't understand :/:confused:
     
  10. spacedive

    spacedive Guest

    0
     
    well...

    taken in mind that the first line of the message is:

    Autoinstaller rcfile not found.


    i apt-get removed the psa-autoinstaller package and reinstalled it..


    but this caused other problems .. :)

    now when i go to the panel's updater I get an:

    Error: failed to open lock file /tmp/psa-installer.lock: Permission denied
    .
    Error: Unable to retrieve installation status: failed to open lock file /tmp/psa-installer.lock: Permission denied


    so i went to /tmp and changed the owner and the group of the psa-installer.lock from root:root to psaadm: psaadm

    so the error now is:

    Error: Can't create directory //swsoft/.


    :confused: :confused: :confused:

    i promise that next time i wont remove anything from plesk but if any wise man know anything more about all this...

    then please help...!!!! :rolleyes:
     
  11. spacedive

    spacedive Guest

    0
     
    and to be more precise here is the exact failure email:


    Autoinstaller 3.1.1 (build at 2006-12-11 17:01) started at (timezone EET) Thu Feb 8 16:56:33 2007
    Command line args: /opt/psa/admin/bin/autoinstaller --enable-xml-output --source-type=plesk --select-release-id=PLESK_8_1_0 --notify-email=email
    --install-component=base --target=/root/psa

    Try to find rcfile...
    Autoinstaller rcfile not found.
    Check hostname is sucessfull.
    Opsys detected as: os_name=Linux os_vendor=Debian version=3.1 arch=i686 environment=
    Final opsys (with overriding) is: os_name=Linux os_vendor=Debian version=3.1 arch=i686 environment=
    repository: Get brief packages info for all sources
    Checking for installed system packages...DebRepository: readSystemPackagesBrief: execute dpkg-query --show '--showformat=s:${Status}\nF:${Package}_installed.deb\nN:${Package}\nV:${Version}\nA:${Architecture}\nX:\n'| awk '/^s:install ok/,/^X:/ { print $0}'| grep -v '^s:'
    done.
    Download file products.inf3: 100% done.
    Download file plesk.inf3: 100% done.
    Download file sitebuilder.inf3: 11%..100% done.
    release PLESK_8_1_0 is actual
    release SB_3_0_0 is actual
    release SB_3_0_1 is actual
    release SB_3_0_2 is actual
    Select best build of PLESK_8_1_0 for current OS
    First fit build is current best: PSA_8.1.0/plesk-8.1.0-deb3.1-i386.inf3
    Select best build: finally choised PSA_8.1.0/plesk-8.1.0-deb3.1-i386.inf3
    Download file PSA_8.1.0/plesk-8.1.0-deb3.1-i386.inf3: 100% done.
    No removers section in this build.
    No preferrers section in this build.
    source line 'deb http://autoinstall.plesk.com/debian/PSA_8.1.0 sarge all' is already in source list
    Hit http://mirror.steadfast.net stable/main Packages
    Hit http://mirror.steadfast.net stable/main Release
    Hit http://mirror.steadfast.net stable/main Sources
    Hit http://mirror.steadfast.net stable/main Release
    Hit http://autoinstall.plesk.com sarge/all Packages
    Hit http://security.debian.org stable/updates/main Packages
    Hit http://security.debian.org stable/updates/main Release
    Ign http://autoinstall.plesk.com sarge/all Release
    Reading Package Lists...
    repository: Get brief packages info for all sources
    Check for components installation status
    Component base: mode upgrade, installed=1167134400, available=1170320400
    Component psa-autoinstaller: mode up2date, installed=1165849200, available=1165834800
    Component asp: mode install, installed=0, available=0
    Component mailman: mode up2date, installed=1164830400, available=1164816000
    Component postgresql: mode install, installed=0, available=0
    Component java: mode install, installed=0, available=1164816000
    Component spamassassin: mode install, installed=0, available=1164816000
    Component rblsmtpd: mode up2date, installed=1164830400, available=1164816000
    Component mod_python: mode up2date, installed=0, available=0
    Component ruby: mode install, installed=0, available=1164816000
    Component fcgi: mode install, installed=0, available=0
    Component vault: mode install, installed=0, available=0
    Component horde-comps: mode install, installed=0, available=1164816000
    Component docs: mode up2date, installed=1164830400, available=1164816000
    Component backup-ded: mode up2date, installed=1167134400, available=1167120000
    Component drweb: mode install, installed=0, available=1164816000
    Component ppwse: mode install, installed=0, available=1164816000
    Component api: mode up2date, installed=1167134400, available=1167120000
    Component sshterm: mode up2date, installed=1164830400, available=1164816000
    Component pmm: mode up2date, installed=1167134400, available=1167120000
    Component psa-firewall: mode up2date, installed=1164830400, available=1164816000
    Component cs-gs: mode install, installed=0, available=1165899600
    Component psa-vpn: mode install, installed=0, available=1164816000
    Component battlefield: mode install, installed=0, available=1164816000
    Component bf2: mode install, installed=0, available=1164816000
    Component psa-fileserver: mode install, installed=0, available=1164816000
    Component watchdog: mode install, installed=0, available=1164816000
    Component sitebuilder: mode install, installed=0, available=0
    Component sb-publish: mode install, installed=0, available=0
    Component cf-support: mode install, installed=0, available=1164816000
    Component atis: mode install, installed=0, available=0
    Component de-DE-locale: mode install, installed=0, available=1164632400
    Component ja-JP-locale: mode install, installed=0, available=1164632400
    Component es-ES-locale: mode install, installed=0, available=1164632400
    Check for components requires keyupdate
    No keyupdate need for component base
    KeyUpdateChecker::doCheck: no components for check key update
    repository: Get full packages info for all sources

    Getting packages to installation list:
    Get packages to installation from selected component base
    resolve packages with apt-get
    apt-get say following:
    Reading Package Lists...
    Building Dependency Tree...

    catch error with message: Error while resolve packages by apt
    ERROR: Error while resolve packages by apt
    Check SElinux status after error:
    Exit with ERROR status


    ---
    Plesk autoinstaller.
     
  12. koko

    koko Guest

    0
     
    Hmmm maybe it's not the solution, need to be tested !

    I just do :
    apt-get update

    For updating packet source package
    and after this i try the update in plesk.
    Welldone, all working...
    Good luck!

    Code:
    Setting up psa-hotfix5 (8.1.0-debian3.1.build81070201.15) ...
     Trying to replace files and set up right permissions... done
     Trying to perform keyupdate... done
    
    Setting up psa-locale-base-en-us (8.1.0-debian3.1.build81070201.15) ...
    Install command execution success
    Installation done.
    Exit with OK status
     
  13. msc_onoma

    msc_onoma Guest

    0
     
    apt-get update and then upgrade doesn't find anything to update in my system.

    So this error from the control panel seems unrelated.

    I'm surprised that noone has found a solution yet
     
  14. spacedive

    spacedive Guest

    0
     
    the panel's problem was caused by the remove and reinstall of the psa-autoinstaller which seems that its rc file is missing in the updater's log...

    i hope you understand..

    it is unrelated to the exact problem but if anyone might knows how to get rid of it i would really much appreciate it..
     
  15. spacedive

    spacedive Guest

    0
     
    so anyone who might be able to help???
     
Loading...